<!-- <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="{{ 'mpmApp.salesUnitRequirement.home.search' | translate }}">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
            <button pButton type="submit"
                icon="fa-th-list"
                class="ui-button-primary btn-sm"
                (click)="buildReindex()">
            </button> -->
        <!-- < *jhiHasAnyAuthority="['ROLE_ADMIN']"> -->
    </div>
</form>
<br>
<div style="margin-bottom:10px;">
<button class="btn btn-primary btn-block" (click)="refine()">
    <i class="fa fa-refresh" aria-hidden="true"></i> Refine
</button>
</div>

<p-dataList [value]="salesUnitRequirements" [paginator]="true" [rows]="10" [lazy]="true" (onLazyLoad)="loadDataLazy($event)" [totalRecords]="queryCount" [trackBy]="trackId" [loading]="loading">
<p-header> 
    <div class="input-group w-100 mt-2"> 
        <input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
            name="currentSearch" placeholder="Find Customer">
        <button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
            <span class="fa fa-search"></span>
        </button>
        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
            <span class="fa fa-trash-o"></span>
        </button>                        
    </div>
</p-header>
<ng-template let-salesUnitRequirement pTemplate="item">
    <div class="ui-g ui-fluid border-item">
        <div class="ui-g-12 ui-md-12">
            <div class="pull-left" style="font-weight:600">
                {{titleCustomer(salesUnitRequirement.personCustomer)}} {{salesUnitRequirement.customerName}}
            </div>
            <div class="pull-right">{{salesUnitRequirement.requirementNumber}}</div>
        </div>
        <div class="ui-g-12 ui-md-12">
            <span>{{salesUnitRequirement.productName | Message : 'motor'}} [{{salesUnitRequirement.colorDescription | Message : 'color'}}]</span>
        </div>
        <div class="ui-g-12 ui-md-12">
            <div class="pull-left">Approval : <span style="color:red;" [innerHTML]="labelApproval(salesUnitRequirement)"></span></div>
            <div class="pull-left" *ngIf="salesUnitRequirement.approvalLeasing == 62">Not Approval Leasing : <span style="color:red;" [innerHTML]="labelApprovalLeasing(salesUnitRequirement)"></span></div>
            <div class="pull-right">
                <span style="color:#1b9142;" *ngIf="notCompleteData(salesUnitRequirement) === ''">
                    <i class="fa fa-check-square-o fa-5x" aria-hidden="true"></i>
                </span>
                <span *ngIf="notCompleteData(salesUnitRequirement) !== ''">
                    <button class="btn btn-primary" (click)="showNotCompleteData(notCompleteData(salesUnitRequirement))">
                        <i class="fa fa-eye" aria-hidden="true"></i> list not complete
                    </button>
                </span>
            </div>
        </div>
        <div class="ui-g-12 ui-md-12" style="text-align:center;border-top:1px solid #d9d9d9;padding-top:20px;">
            <div class="ui-g-6 ui-sm-12">
                <button *ngIf="isKorsal !== true"  class="btn btn-primary btn-lg btn-block" [routerLink]="['../sales-unit-requirement/' + salesUnitRequirement.idRequirement + '/detail']">
                    <i class="fa fa-eye"></i> Detail
                </button>

                <!-- vso draft korsal  -->
                <button *ngIf="isKorsal === true" 
                    class="btn btn-primary btn-lg btn-block" 
                    [routerLink]="['../vso-draft-korsal/' + salesUnitRequirement.idRequirement + '/detail']">
                    <i class="fa fa-eye"></i> Detail
                </button>
                
            </div>
            <div class="ui-g-6 ui-sm-12">
                <button class="btn btn-primary btn-lg btn-block"
                (click)="doCancel(salesUnitRequirement);">
                    <i class="fa fa-times"></i> Cancel
                </button>
            </div>
        </div>
        <div class="ui-g-12 ui-md-12">
            
            <button *ngIf="isKorsal === true" class="btn btn-primary btn-lg btn-block" (click)="edit(salesUnitRequirement)">
                <i class="fa fa-pencil"></i> Edit
            </button>

            <button
                (click)="submitVSO(salesUnitRequirement)"
                class="btn btn-primary btn-lg btn-block"
                [disabled]="isDisableDealDetailBtn(salesUnitRequirement, notCompleteData(salesUnitRequirement))">
                    <i class="fa fa-paper-plane-o"></i> Submit
            </button>
           
        </div>
    </div>
</ng-template>
</p-dataList>
<p-dialog
header="List Not Complete Data"
[(visible)]="displayCompleteData"
[responsive]="true"
modal="true"
>
<div [innerHTML]="infoListNotComplete"></div>
<p-footer>
    <button type="button" pButton icon="fa-times" (click)="displayCompleteData=false" label="Close"></button>
</p-footer>
</p-dialog>
